ranch:procs(3)

NAME

ranch:procs - Retrieve pids from a listener

DESCRIPTION
    procs(Ref  :: ranch:ref(),
          Type :: acceptors | connections)
        -> Pids :: [pid()]

Retrieve pids from a listener.

ARGUMENTS

Ref
    The listener name.

Type
    The type of process that will be returned.

RETURN VALUE

A list of pids is returned.

EXAMPLES

Get the pids of the acceptor processes
    Pids = ranch:procs(acceptors).

Get the pids of the connection processes
    Pids = ranch:procs(connections).

SEE ALSO

ranch:get_addr(3), ranch:get_port(3), ranch:info(3), ranch(3)